# GitLab - Git repository
# Port: 8929
# Self-hosted Git and CI/CD platform

version: '3.6'
services:
  web:
    image: 'gitlab/gitlab-ce:latest'
    restart: unless-stopped
    hostname: 'gl.thevish.io'
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        external_url 'http://glssh.thevish.io:8929'
        gitlab_rails['gitlab_shell_ssh_port'] = 2224
    ports:
      - '8929:8929'
      - '2224:22'
    volumes:
      - '$GITLAB_HOME/config:/etc/gitlab'
      - '$GITLAB_HOME/logs:/var/log/gitlab'
      - '$GITLAB_HOME/data:/var/opt/gitlab'
    shm_size: '256m'
